Bug 223908

Summary: Web Inspector: CSS Grid overlay track sizes are incorrect when inline styles are applied to the element
Product: WebKit Reporter: Patrick Angle <pangle>
Component: Web InspectorAssignee: Patrick Angle <pangle>
Status: RESOLVED FIXED    
Severity: Normal CC: bburg, drousso, ews-watchlist, graouts, inspector-bugzilla-changes, joepeck, pangle, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch v1.0 none

Description Patrick Angle 2021-03-29 18:31:58 PDT
For elements that have inline style attributes, those column and row sizes should be shown as the authored values. Instead, we currently show the most specific CSS rule's values that apply instead.
Comment 1 Radar WebKit Bug Importer 2021-03-29 18:32:16 PDT
<rdar://problem/75983927>
Comment 2 Patrick Angle 2021-03-29 18:41:38 PDT
Created attachment 424608 [details]
Patch v1.0
Comment 3 BJ Burg 2021-03-30 14:33:58 PDT
Comment on attachment 424608 [details]
Patch v1.0

r=me
Comment 4 EWS 2021-03-31 10:49:12 PDT
Committed r275293: <https://commits.webkit.org/r275293>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 424608 [details].